/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __KPROBE_MULTI_SKEL_H__
#define __KPROBE_MULTI_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kprobe_multi {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *trigger;
		struct bpf_program *test_kprobe;
		struct bpf_program *test_kretprobe;
	} progs;
	struct {
		struct bpf_link *trigger;
		struct bpf_link *test_kprobe;
		struct bpf_link *test_kretprobe;
	} links;
	struct kprobe_multi__bss {
		int pid;
		_Bool test_cookie;
		__u64 kprobe_test1_result;
		__u64 kprobe_test2_result;
		__u64 kprobe_test3_result;
		__u64 kprobe_test4_result;
		__u64 kprobe_test5_result;
		__u64 kprobe_test6_result;
		__u64 kprobe_test7_result;
		__u64 kprobe_test8_result;
		__u64 kretprobe_test1_result;
		__u64 kretprobe_test2_result;
		__u64 kretprobe_test3_result;
		__u64 kretprobe_test4_result;
		__u64 kretprobe_test5_result;
		__u64 kretprobe_test6_result;
		__u64 kretprobe_test7_result;
		__u64 kretprobe_test8_result;
	} *bss;
	struct kprobe_multi__kconfig {
		_Bool CONFIG_X86_KERNEL_IBT;
	} *kconfig;

#ifdef __cplusplus
	static inline struct kprobe_multi *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kprobe_multi *open_and_load();
	static inline int load(struct kprobe_multi *skel);
	static inline int attach(struct kprobe_multi *skel);
	static inline void detach(struct kprobe_multi *skel);
	static inline void destroy(struct kprobe_multi *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kprobe_multi__destroy(struct kprobe_multi *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kprobe_multi__create_skeleton(struct kprobe_multi *obj);

static inline struct kprobe_multi *
kprobe_multi__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kprobe_multi *obj;
	int err;

	obj = (struct kprobe_multi *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kprobe_multi__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kprobe_multi__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kprobe_multi *
kprobe_multi__open(void)
{
	return kprobe_multi__open_opts(NULL);
}

static inline int
kprobe_multi__load(struct kprobe_multi *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kprobe_multi *
kprobe_multi__open_and_load(void)
{
	struct kprobe_multi *obj;
	int err;

	obj = kprobe_multi__open();
	if (!obj)
		return NULL;
	err = kprobe_multi__load(obj);
	if (err) {
		kprobe_multi__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kprobe_multi__attach(struct kprobe_multi *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kprobe_multi__detach(struct kprobe_multi *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kprobe_multi__elf_bytes(size_t *sz);

static inline int
kprobe_multi__create_skeleton(struct kprobe_multi *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kprobe_multi";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "kprobe_m.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "kprobe_.kconfig";
	s->maps[1].map = &obj->maps.kconfig;
	s->maps[1].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trigger";
	s->progs[0].prog = &obj->progs.trigger;
	s->progs[0].link = &obj->links.trigger;

	s->progs[1].name = "test_kprobe";
	s->progs[1].prog = &obj->progs.test_kprobe;
	s->progs[1].link = &obj->links.test_kprobe;

	s->progs[2].name = "test_kretprobe";
	s->progs[2].prog = &obj->progs.test_kretprobe;
	s->progs[2].link = &obj->links.test_kretprobe;

	s->data = (void *)kprobe_multi__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kprobe_multi__elf_bytes(size_t *sz)
{
	*sz = 9864;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x23\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\
\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\
\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x3f\x3f\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x2a\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x2e\x63\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\
\x68\x65\x63\x6b\0\x4c\x42\x42\x32\x5f\x35\x35\0\x4c\x42\x42\x32\x5f\x33\0\x4c\
\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x32\x5f\x33\x30\0\x4c\x42\x42\x32\x5f\x39\0\
\x4c\x42\x42\x32\x5f\x35\x34\0\x4c\x42\x42\x32\x5f\x33\x33\0\x4c\x42\x42\x32\
\x5f\x31\x32\0\x4c\x42\x42\x32\x5f\x33\x36\0\x4c\x42\x42\x32\x5f\x31\x35\0\x4c\
\x42\x42\x32\x5f\x33\x39\0\x4c\x42\x42\x32\x5f\x31\x38\0\x4c\x42\x42\x32\x5f\
\x34\x32\0\x4c\x42\x42\x32\x5f\x32\x31\0\x4c\x42\x42\x32\x5f\x34\x35\0\x4c\x42\
\x42\x32\x5f\x32\x34\0\x4c\x42\x42\x32\x5f\x34\x38\0\x4c\x42\x42\x32\x5f\x32\
\x37\0\x4c\x42\x42\x32\x5f\x35\x31\0\x74\x72\x69\x67\x67\x65\x72\0\x74\x65\x73\
\x74\x5f\x6b\x70\x72\x6f\x62\x65\0\x70\x69\x64\0\x74\x65\x73\x74\x5f\x63\x6f\
\x6f\x6b\x69\x65\0\x43\x4f\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\
\x45\x4c\x5f\x49\x42\x54\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x31\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x31\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x32\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x33\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x33\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x33\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x34\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x34\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x34\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x35\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x35\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x35\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x36\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x36\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x36\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x37\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x37\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x37\x5f\
\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x38\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x38\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x38\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\
\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x3f\x3f\0\x2e\x72\x65\x6c\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x2a\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x81\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\
\x02\0\x03\0\0\0\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\xa3\0\0\0\0\0\x03\0\x68\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb2\0\0\0\0\0\x03\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb9\0\0\0\0\0\x03\0\
\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\0\0\x03\0\x90\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xc8\0\0\0\0\0\x03\0\x58\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\
\0\0\0\x03\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\x03\0\x40\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\x03\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe8\0\0\0\0\0\x03\0\xf0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\x03\
\0\x48\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\x03\0\xa0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x03\0\xf8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x01\0\0\0\0\x03\0\x50\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\x03\0\
\xa8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x20\x01\0\0\0\0\x03\0\x58\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x01\0\0\0\0\x03\0\xb0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\x03\0\
\x08\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x40\x01\0\
\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x4c\x01\0\0\x11\0\x08\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x50\x01\0\0\x11\0\x08\0\x04\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x5c\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\x01\0\0\x11\0\x08\0\x48\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x9a\x01\0\0\x11\0\x08\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\xae\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x01\0\0\x11\0\
\x08\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd6\x01\0\0\x11\0\x08\0\x10\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\xea\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xfb\x01\0\0\x11\0\x08\0\x58\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x12\x02\0\0\x11\0\
\x08\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x26\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x37\x02\0\0\x11\0\x08\0\x60\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x4e\x02\0\0\x11\0\x08\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x62\x02\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x02\0\0\x11\0\x08\0\x68\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x8a\x02\0\0\x11\0\x08\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x9e\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\x02\0\0\x11\0\x08\0\
\x70\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc6\x02\0\0\x11\0\x08\0\x30\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xda\x02\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\
\x02\0\0\x11\0\x08\0\x78\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x02\x03\0\0\x11\0\x08\
\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x16\x03\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x27\x03\0\0\x11\0\x08\0\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x3e\
\x03\0\0\x11\0\x08\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x52\x03\0\0\x12\0\x06\
\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x61\x03\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xbc\x27\0\0\0\0\0\0\xbf\x18\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x5d\x10\xc3\0\0\0\0\0\xb7\x09\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\xb7\x06\0\0\0\
\0\0\0\x16\x01\x03\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\xbf\x06\0\
\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\x85\0\0\0\xad\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\xb7\x09\0\0\xfc\xff\xff\xff\
\x0f\x09\0\0\0\0\0\0\x16\x07\x0b\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\xa6\0\0\0\0\0\x15\x06\xa5\0\x08\0\
\0\0\x05\0\xa6\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x22\0\0\0\0\0\0\x16\x02\x9b\0\0\0\0\0\x15\x06\x9a\0\x01\0\0\0\x05\0\x9b\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\
\0\x16\x02\x90\0\0\0\0\0\x15\x06\x8f\0\x02\0\0\0\x05\0\x90\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x85\0\0\
\0\0\0\x15\x06\x84\0\x07\0\0\0\x05\0\x85\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x7a\0\0\0\0\0\x15\x06\x79\
\0\x07\0\0\0\x05\0\x7a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\
\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x6f\0\0\0\0\0\x15\x06\x6e\0\x02\0\0\0\x05\
\0\x6f\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\
\0\0\0\0\0\x16\x02\x64\0\0\0\0\0\x15\x06\x63\0\x06\0\0\0\x05\0\x64\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\
\x02\x59\0\0\0\0\0\x15\x06\x58\0\x03\0\0\0\x05\0\x59\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x4e\0\0\0\0\0\
\x15\x06\x4d\0\x05\0\0\0\x05\0\x4e\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x43\0\0\0\0\0\x15\x06\x42\0\x04\
\0\0\0\x05\0\x43\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x22\0\0\0\0\0\0\x16\x02\x38\0\0\0\0\0\x15\x06\x37\0\x04\0\0\0\x05\0\x38\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\
\0\x16\x02\x2d\0\0\0\0\0\x15\x06\x2c\0\x05\0\0\0\x05\0\x2d\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x22\0\0\
\0\0\0\x15\x06\x21\0\x03\0\0\0\x05\0\x22\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x5d\x19\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x17\0\0\0\0\0\x15\x06\x16\
\0\x06\0\0\0\x05\0\x17\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\
\x14\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x0c\0\0\0\0\0\x15\x06\x0b\0\x01\0\0\0\x05\
\0\x0c\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\x19\x09\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\
\0\0\0\0\0\x16\x02\x01\0\0\0\0\0\x55\x06\x02\0\x08\0\0\0\xb7\x02\0\0\x01\0\0\0\
\x7b\x21\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\
\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb4\x02\0\0\x01\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x58\0\0\
\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\xe0\0\0\0\
\0\0\0\0\x01\0\0\0\x1f\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x08\x01\0\0\
\0\0\0\0\x01\0\0\0\x1d\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\x50\x01\0\
\0\0\0\0\0\x01\0\0\0\x21\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x90\x01\
\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\xb8\
\x01\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\0\
\x02\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\
\x40\x02\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\x26\0\0\
\0\x68\x02\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\x25\0\
\0\0\xb0\x02\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\xc0\x02\0\0\0\0\0\0\x01\0\0\0\x1d\
\0\0\0\xf0\x02\0\0\0\0\0\0\x01\0\0\0\x28\0\0\0\x08\x03\0\0\0\0\0\0\x01\0\0\0\
\x29\0\0\0\x18\x03\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x48\x03\0\0\0\0\0\0\x01\0\0\
\0\x28\0\0\0\x60\x03\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\x70\x03\0\0\0\0\0\0\x01\0\
\0\0\x1d\0\0\0\xa0\x03\0\0\0\0\0\0\x01\0\0\0\x2b\0\0\0\xb8\x03\0\0\0\0\0\0\x01\
\0\0\0\x2c\0\0\0\xc8\x03\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xf8\x03\0\0\0\0\0\0\
\x01\0\0\0\x2b\0\0\0\x10\x04\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\x20\x04\0\0\0\0\0\
\0\x01\0\0\0\x1d\0\0\0\x50\x04\0\0\0\0\0\0\x01\0\0\0\x2e\0\0\0\x68\x04\0\0\0\0\
\0\0\x01\0\0\0\x2f\0\0\0\x78\x04\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xa8\x04\0\0\0\
\0\0\0\x01\0\0\0\x2e\0\0\0\xc0\x04\0\0\0\0\0\0\x01\0\0\0\x30\0\0\0\xd0\x04\0\0\
\0\0\0\0\x01\0\0\0\x1d\0\0\0\0\x05\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x18\x05\0\0\
\0\0\0\0\x01\0\0\0\x32\0\0\0\x28\x05\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x58\x05\0\
\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x70\x05\0\0\0\0\0\0\x01\0\0\0\x33\0\0\0\x80\x05\
\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xb0\x05\0\0\0\0\0\0\x01\0\0\0\x34\0\0\0\xc8\
\x05\0\0\0\0\0\0\x01\0\0\0\x35\0\0\0\xd8\x05\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\
\x08\x06\0\0\0\0\0\0\x01\0\0\0\x34\0\0\0\x20\x06\0\0\0\0\0\0\x01\0\0\0\x36\0\0\
\0\x30\x06\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\
\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\
\x04\0\0\x64\x04\0\0\x3d\x08\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\
\0\0\0\x02\x07\0\0\0\x24\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\
\x14\0\0\0\x06\0\0\0\x2c\0\0\0\x01\0\0\x0c\x08\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\x38\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\x02\0\0\x0d\0\0\0\0\x14\0\0\
\0\x0a\0\0\0\x3e\0\0\0\x0b\0\0\0\x48\0\0\0\0\0\0\x0c\x0c\0\0\0\x5b\0\0\0\x01\0\
\0\x0c\x08\0\0\0\x6a\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x0f\0\0\0\x11\0\0\0\x04\0\0\0\x6f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x83\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x8c\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\
\0\x90\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x9c\0\0\0\0\0\0\x08\x02\0\0\0\xa2\0\
\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xb6\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xca\
\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xde\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\
\xf2\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x06\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\
\0\0\x1a\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x2e\x01\0\0\0\0\0\x0e\x15\0\0\0\
\x01\0\0\0\x42\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x59\x01\0\0\0\0\0\x0e\x15\
\0\0\0\x01\0\0\0\x70\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x87\x01\0\0\0\0\0\
\x0e\x15\0\0\0\x01\0\0\0\x9e\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xb5\x01\0\0\
\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xcc\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xe3\
\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\xfa\x01\0\0\0\
\0\0\x0e\x26\0\0\0\x02\0\0\0\x0b\x02\0\0\0\0\0\x0e\x26\0\0\0\x02\0\0\0\x1c\x02\
\0\0\0\0\0\x0e\x26\0\0\0\x02\0\0\0\x2d\x02\0\0\0\0\0\x0e\x26\0\0\0\x02\0\0\0\
\x3e\x02\0\0\0\0\0\x0e\x26\0\0\0\x02\0\0\0\x4f\x02\0\0\0\0\0\x0e\x26\0\0\0\x02\
\0\0\0\x60\x02\0\0\0\0\0\x0e\x26\0\0\0\x02\0\0\0\x71\x02\0\0\0\0\0\x0e\x26\0\0\
\0\x02\0\0\0\x82\x02\0\0\0\0\0\x0e\x0b\0\0\0\x02\0\0\0\xbd\x07\0\0\x01\0\0\x0f\
\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\xc5\x07\0\0\x12\0\0\x0f\x88\0\0\0\x13\0\
\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\x04\0\0\0\x01\0\0\0\x16\0\0\0\x08\0\0\0\x08\0\
\0\0\x17\0\0\0\x10\0\0\0\x08\0\0\0\x18\0\0\0\x18\0\0\0\x08\0\0\0\x19\0\0\0\x20\
\0\0\0\x08\0\0\0\x1a\0\0\0\x28\0\0\0\x08\0\0\0\x1b\0\0\0\x30\0\0\0\x08\0\0\0\
\x1c\0\0\0\x38\0\0\0\x08\0\0\0\x1d\0\0\0\x40\0\0\0\x08\0\0\0\x1e\0\0\0\x48\0\0\
\0\x08\0\0\0\x1f\0\0\0\x50\0\0\0\x08\0\0\0\x20\0\0\0\x58\0\0\0\x08\0\0\0\x21\0\
\0\0\x60\0\0\0\x08\0\0\0\x22\0\0\0\x68\0\0\0\x08\0\0\0\x23\0\0\0\x70\0\0\0\x08\
\0\0\0\x24\0\0\0\x78\0\0\0\x08\0\0\0\x25\0\0\0\x80\0\0\0\x08\0\0\0\xca\x07\0\0\
\x01\0\0\x0f\0\0\0\0\x2f\0\0\0\0\0\0\0\x01\0\0\0\xd3\x07\0\0\x08\0\0\x0f\0\0\0\
\0\x27\0\0\0\0\0\0\0\x01\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\0\0\0\0\
\x01\0\0\0\x2a\0\0\0\0\0\0\0\x01\0\0\0\x2b\0\0\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\0\
\0\0\0\x01\0\0\0\x2d\0\0\0\0\0\0\0\x01\0\0\0\x2e\0\0\0\0\0\0\0\x01\0\0\0\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\
\x78\0\x69\x6e\x74\0\x74\x72\x69\x67\x67\x65\x72\0\x70\x74\x5f\x72\x65\x67\x73\
\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\0\x5f\x42\x6f\x6f\x6c\0\x69\x73\
\x5f\x72\x65\x74\x75\x72\x6e\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x63\x68\x65\x63\x6b\0\x74\x65\x73\x74\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\
\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x74\
\x65\x73\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x5f\x5f\x75\x36\x34\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\
\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\x72\x65\x73\
\x75\x6c\x74\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x33\x5f\
\x72\x65\x73\x75\x6c\x74\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\
\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\0\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\
\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x35\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x36\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x37\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\x43\
\x4f\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x49\x42\
\x54\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x30\x34\x2e\x72\x74\x31\x34\x2e\x32\x30\x35\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x30\x34\x2e\x72\x74\x31\x34\x2e\
\x32\x30\x35\x2e\x65\x6c\x39\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x76\x6f\x69\x64\x20\x6b\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x2c\x20\x62\x6f\x6f\x6c\x20\x69\x73\x5f\x72\
\x65\x74\x75\x72\x6e\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\
\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x5f\x5f\x75\x36\x34\
\x20\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x74\x65\x73\x74\x5f\x63\x6f\x6f\x6b\
\x69\x65\x20\x3f\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\x74\x61\x63\x68\
\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x20\x3a\x20\x30\x3b\0\x09\x5f\
\x5f\x75\x36\x34\x20\x61\x64\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x66\x75\x6e\x63\x5f\x69\x70\x28\x63\x74\x78\x29\x20\x2d\x20\x28\x43\x4f\
\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x49\x42\x54\
\x20\x3f\x20\x34\x20\x3a\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x69\x73\x5f\x72\
\x65\x74\x75\x72\x6e\x29\x20\x7b\0\x09\x09\x53\x45\x54\x28\x6b\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\
\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\x2c\x20\
\x38\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\
\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x31\x2c\x20\x31\x29\x3b\0\x09\x09\x53\x45\x54\
\x28\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\x72\x65\
\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x32\x2c\x20\x32\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\
\x62\x65\x5f\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\x2c\x20\x37\x29\
\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\
\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\x2c\x20\x37\x29\x3b\0\x09\x09\x53\x45\
\x54\x28\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\
\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x33\x2c\x20\x32\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\x5f\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\x2c\x20\x36\
\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\
\x34\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x34\x2c\x20\x33\x29\x3b\0\x09\x09\x53\x45\x54\x28\
\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x35\x5f\x72\x65\x73\
\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x35\x2c\x20\x35\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\x62\
\x65\x5f\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x35\x2c\x20\x34\x29\x3b\0\
\x09\x09\x53\x45\x54\x28\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\
\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x36\x2c\x20\x34\x29\x3b\0\x09\x09\x53\x45\x54\
\x28\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\
\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x36\x2c\x20\x35\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\x2c\x20\x33\x29\
\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x37\
\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x37\x2c\x20\x36\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\
\x6c\x74\x2c\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x38\x2c\x20\x31\x29\x3b\0\x09\x09\x53\x45\x54\x28\x6b\x70\x72\x6f\x62\x65\
\x5f\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x26\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\x2c\x20\x38\x29\x3b\0\x7d\
\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x72\x69\x67\x67\x65\
\x72\x29\0\x09\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\
\x63\x6b\x28\x63\x74\x78\x2c\x20\x66\x61\x6c\x73\x65\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x09\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x63\x68\x65\x63\x6b\x28\x63\x74\x78\x2c\x20\x74\x72\x75\x65\x29\x3b\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\
\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\
\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x3f\x3f\0\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x2a\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x44\0\0\0\x44\0\0\0\x64\x02\0\0\xa8\x02\0\0\0\0\0\0\x08\0\0\0\xda\x07\0\0\x01\
\0\0\0\0\0\0\0\x0d\0\0\0\xe0\x07\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xfe\x07\0\0\
\x01\0\0\0\0\0\0\0\x09\0\0\0\x1c\x08\0\0\x01\0\0\0\0\0\0\0\x0e\0\0\0\x10\0\0\0\
\xda\x07\0\0\x1f\0\0\0\0\0\0\0\x98\x02\0\0\x23\x03\0\0\0\xa4\0\0\x10\0\0\0\x98\
\x02\0\0\x5d\x03\0\0\x06\xac\0\0\x18\0\0\0\x98\x02\0\0\x5d\x03\0\0\x21\xac\0\0\
\x20\0\0\0\x98\x02\0\0\x5d\x03\0\0\x2a\xac\0\0\x48\0\0\0\x98\x02\0\0\x5d\x03\0\
\0\x06\xac\0\0\x58\0\0\0\x98\x02\0\0\x8b\x03\0\0\x11\xb8\0\0\x80\0\0\0\x98\x02\
\0\0\x8b\x03\0\0\x1f\xb8\0\0\x98\0\0\0\x98\x02\0\0\xc9\x03\0\0\x0f\xbc\0\0\xa8\
\0\0\0\x98\x02\0\0\xc9\x03\0\0\x27\xbc\0\0\xd0\0\0\0\x98\x02\0\0\xc9\x03\0\0\
\x24\xbc\0\0\xd8\0\0\0\x98\x02\0\0\x0f\x04\0\0\x06\xdc\0\0\xe0\0\0\0\x98\x02\0\
\0\0\0\0\0\0\0\0\0\xf0\0\0\0\x98\x02\0\0\x21\x04\0\0\x03\xe0\0\0\x38\x01\0\0\
\x98\x02\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\x98\x02\0\0\x56\x04\0\0\x03\x04\x01\0\
\x90\x01\0\0\x98\x02\0\0\x88\x04\0\0\x03\xe4\0\0\xe8\x01\0\0\x98\x02\0\0\xbd\
\x04\0\0\x03\x08\x01\0\x40\x02\0\0\x98\x02\0\0\xef\x04\0\0\x03\xe8\0\0\x98\x02\
\0\0\x98\x02\0\0\x24\x05\0\0\x03\x0c\x01\0\xf0\x02\0\0\x98\x02\0\0\x56\x05\0\0\
\x03\xec\0\0\x48\x03\0\0\x98\x02\0\0\x8b\x05\0\0\x03\x10\x01\0\xa0\x03\0\0\x98\
\x02\0\0\xbd\x05\0\0\x03\xf0\0\0\xf8\x03\0\0\x98\x02\0\0\xf2\x05\0\0\x03\x14\
\x01\0\x50\x04\0\0\x98\x02\0\0\x24\x06\0\0\x03\xf4\0\0\xa8\x04\0\0\x98\x02\0\0\
\x59\x06\0\0\x03\x18\x01\0\0\x05\0\0\x98\x02\0\0\x8b\x06\0\0\x03\xf8\0\0\x58\
\x05\0\0\x98\x02\0\0\xc0\x06\0\0\x03\x1c\x01\0\xb0\x05\0\0\x98\x02\0\0\xf2\x06\
\0\0\x03\xfc\0\0\x08\x06\0\0\x98\x02\0\0\x27\x07\0\0\x03\x20\x01\0\x60\x06\0\0\
\x98\x02\0\0\0\0\0\0\0\0\0\0\x68\x06\0\0\x98\x02\0\0\x59\x07\0\0\x01\x30\x01\0\
\xe0\x07\0\0\x01\0\0\0\0\0\0\0\x98\x02\0\0\x5b\x07\0\0\x05\x4c\x01\0\xfe\x07\0\
\0\x02\0\0\0\0\0\0\0\x98\x02\0\0\x71\x07\0\0\x02\x6c\x01\0\x10\0\0\0\x98\x02\0\
\0\x92\x07\0\0\x02\x70\x01\0\x1c\x08\0\0\x02\0\0\0\0\0\0\0\x98\x02\0\0\x9d\x07\
\0\0\x02\x88\x01\0\x10\0\0\0\x98\x02\0\0\x92\x07\0\0\x02\x8c\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc9\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\x04\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x09\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0f\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\x10\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x30\x10\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x6a\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x10\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x74\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x13\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x96\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x13\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\xbb\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x13\0\0\0\0\0\0\
\xb9\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x03\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x20\0\0\0\0\0\0\xc8\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct kprobe_multi *kprobe_multi::open(const struct bpf_object_open_opts *opts) { return kprobe_multi__open_opts(opts); }
struct kprobe_multi *kprobe_multi::open_and_load() { return kprobe_multi__open_and_load(); }
int kprobe_multi::load(struct kprobe_multi *skel) { return kprobe_multi__load(skel); }
int kprobe_multi::attach(struct kprobe_multi *skel) { return kprobe_multi__attach(skel); }
void kprobe_multi::detach(struct kprobe_multi *skel) { kprobe_multi__detach(skel); }
void kprobe_multi::destroy(struct kprobe_multi *skel) { kprobe_multi__destroy(skel); }
const void *kprobe_multi::elf_bytes(size_t *sz) { return kprobe_multi__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kprobe_multi__assert(struct kprobe_multi *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->test_cookie) == 1, "unexpected size of 'test_cookie'");
	_Static_assert(sizeof(s->bss->kprobe_test1_result) == 8, "unexpected size of 'kprobe_test1_result'");
	_Static_assert(sizeof(s->bss->kprobe_test2_result) == 8, "unexpected size of 'kprobe_test2_result'");
	_Static_assert(sizeof(s->bss->kprobe_test3_result) == 8, "unexpected size of 'kprobe_test3_result'");
	_Static_assert(sizeof(s->bss->kprobe_test4_result) == 8, "unexpected size of 'kprobe_test4_result'");
	_Static_assert(sizeof(s->bss->kprobe_test5_result) == 8, "unexpected size of 'kprobe_test5_result'");
	_Static_assert(sizeof(s->bss->kprobe_test6_result) == 8, "unexpected size of 'kprobe_test6_result'");
	_Static_assert(sizeof(s->bss->kprobe_test7_result) == 8, "unexpected size of 'kprobe_test7_result'");
	_Static_assert(sizeof(s->bss->kprobe_test8_result) == 8, "unexpected size of 'kprobe_test8_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test1_result) == 8, "unexpected size of 'kretprobe_test1_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test2_result) == 8, "unexpected size of 'kretprobe_test2_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test3_result) == 8, "unexpected size of 'kretprobe_test3_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test4_result) == 8, "unexpected size of 'kretprobe_test4_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test5_result) == 8, "unexpected size of 'kretprobe_test5_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test6_result) == 8, "unexpected size of 'kretprobe_test6_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test7_result) == 8, "unexpected size of 'kretprobe_test7_result'");
	_Static_assert(sizeof(s->bss->kretprobe_test8_result) == 8, "unexpected size of 'kretprobe_test8_result'");
	_Static_assert(sizeof(s->kconfig->CONFIG_X86_KERNEL_IBT) == 1, "unexpected size of 'CONFIG_X86_KERNEL_IBT'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KPROBE_MULTI_SKEL_H__ */
